Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.swing
Class JAffineTransformChooser

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.apache.batik.ext.swing.JGridBagPanel
                          org.apache.batik.ext.swing.JAffineTransformChooser

All Implemented Interfaces:
  javax.accessibility.Accessible, GridBagConstants, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class JAffineTransformChooser
extends JGridBagPanel

The `JAffineTransformChooser` is a pane that contains controls to let a user select the various components that make up an `AffineTransform`

See Also:
  Serialized Form

Nested Class Summary
`static class` | `JAffineTransformChooser.Dialog`

Nested classes inherited from class org.apache.batik.ext.swing.JGridBagPanel
`JGridBagPanel.InsetsManager`

Nested classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static java.lang.String` | `CONFIG_BOTTOM_PAD`
`static java.lang.String` | `CONFIG_LEFT_PAD`
`static java.lang.String` | `CONFIG_RIGHT_PAD`
`static java.lang.String` | `CONFIG_TEXT_FIELD_WIDTH`
`static java.lang.String` | `CONFIG_TOP_PAD`
`protected static double` | `DEG_TO_RAD`
`static java.lang.String` | `LABEL_ANGLE`
`static java.lang.String` | `LABEL_DEGREE`
`static java.lang.String` | `LABEL_PERCENT`
`static java.lang.String` | `LABEL_ROTATE`
`static java.lang.String` | `LABEL_RX`
`static java.lang.String` | `LABEL_RY`
`static java.lang.String` | `LABEL_SCALE`
`static java.lang.String` | `LABEL_SX`
`static java.lang.String` | `LABEL_SY`
`static java.lang.String` | `LABEL_TRANSLATE`
`static java.lang.String` | `LABEL_TX`
`static java.lang.String` | `LABEL_TY`
`protected static double` | `RAD_TO_DEG`
`protected DoubleDocument` | `rotateModel` The Model for the rotation
`protected DoubleDocument` | `rxModel` The Model for the x-axis rotation center
`protected DoubleDocument` | `ryModel` The Model for the y-axis rotation center
`protected DoubleDocument` | `sxModel` The Model for the x-axis scale component
`protected DoubleDocument` | `syModel` The Model for the y-axis scale component
`protected java.awt.geom.AffineTransform` | `txf` The `AffineTransform` value represented by the chooser
`protected DoubleDocument` | `txModel` The Model for the x-axis translate component
`protected DoubleDocument` | `tyModel` The Model for the y-axis translate component

Fields inherited from class org.apache.batik.ext.swing.JGridBagPanel
`DEFAULT_INSETS, insetsManager, ZERO_INSETS`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface org.apache.batik.ext.swing.GridBagConstants
`BOTH, CENTER, EAST, HORIZONTAL, NONE, NORTH, NORTHEAST, NORTHWEST, REMAINDER, SOUTH, SOUTHEAST, SOUTHWEST, VERTICAL, WEST`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JAffineTransformChooser()` Default constructor

Method Summary
`protected void` | `addToPanelAtRow(java.lang.String label, javax.swing.text.Document model, java.lang.String suffix, JGridBagPanel p, int row)`
`protected void` | `build()` Adds the control components into this panel.
`protected java.awt.Component` | `buildPanel(java.lang.String panelName, java.lang.String tfALabel, javax.swing.text.Document tfAModel, java.lang.String tfBLabel, javax.swing.text.Document tfBModel, java.lang.String tfASuffix, java.lang.String tfBSuffix, boolean setBorder)`
`protected java.awt.Component` | `buildRotatePanel()`
`static JAffineTransformChooser.Dialog` | `createDialog(java.awt.Component cmp, java.lang.String title)` Creates a new modal dialog box that can be used to configure an `AffineTransform`
`java.awt.geom.AffineTransform` | `getAffineTransform()`
`static void` | `main(java.lang.String[] args)`
`void` | `setAffineTransform(java.awt.geom.AffineTransform txf)`
`void` | `setPanelBorder(javax.swing.JComponent panel, java.lang.String panelName)`
`static java.awt.geom.AffineTransform` | `showDialog(java.awt.Component cmp, java.lang.String title)` Displays the panel in a modal dialog box.

Methods inherited from class org.apache.batik.ext.swing.JGridBagPanel
`add, setLayout`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LABEL_ANGLE

    public static final java.lang.String LABEL_ANGLE

See Also:
  Constant Field Values

### LABEL_DEGREE

    public static final java.lang.String LABEL_DEGREE

See Also:
  Constant Field Values

### LABEL_PERCENT

    public static final java.lang.String LABEL_PERCENT

See Also:
  Constant Field Values

### LABEL_ROTATE

    public static final java.lang.String LABEL_ROTATE

See Also:
  Constant Field Values

### LABEL_SCALE

    public static final java.lang.String LABEL_SCALE

See Also:
  Constant Field Values

### LABEL_RX

    public static final java.lang.String LABEL_RX

See Also:
  Constant Field Values

### LABEL_RY

    public static final java.lang.String LABEL_RY

See Also:
  Constant Field Values

### LABEL_SX

    public static final java.lang.String LABEL_SX

See Also:
  Constant Field Values

### LABEL_SY

    public static final java.lang.String LABEL_SY

See Also:
  Constant Field Values

### LABEL_TRANSLATE

    public static final java.lang.String LABEL_TRANSLATE

See Also:
  Constant Field Values

### LABEL_TX

    public static final java.lang.String LABEL_TX

See Also:
  Constant Field Values

### LABEL_TY

    public static final java.lang.String LABEL_TY

See Also:
  Constant Field Values

### CONFIG_TEXT_FIELD_WIDTH

    public static final java.lang.String CONFIG_TEXT_FIELD_WIDTH

See Also:
  Constant Field Values

### CONFIG_TOP_PAD

    public static final java.lang.String CONFIG_TOP_PAD

See Also:
  Constant Field Values

### CONFIG_LEFT_PAD

    public static final java.lang.String CONFIG_LEFT_PAD

See Also:
  Constant Field Values

### CONFIG_BOTTOM_PAD

    public static final java.lang.String CONFIG_BOTTOM_PAD

See Also:
  Constant Field Values

### CONFIG_RIGHT_PAD

    public static final java.lang.String CONFIG_RIGHT_PAD

See Also:
  Constant Field Values

### txf

    protected java.awt.geom.AffineTransform txf

  The `AffineTransform` value represented by the chooser

### txModel

    protected DoubleDocument txModel

  The Model for the x-axis translate component

### tyModel

    protected DoubleDocument tyModel

  The Model for the y-axis translate component

### sxModel

    protected DoubleDocument sxModel

  The Model for the x-axis scale component

### syModel

    protected DoubleDocument syModel

  The Model for the y-axis scale component

### rxModel

    protected DoubleDocument rxModel

  The Model for the x-axis rotation center

### ryModel

    protected DoubleDocument ryModel

  The Model for the y-axis rotation center

### rotateModel

    protected DoubleDocument rotateModel

  The Model for the rotation

### RAD_TO_DEG

    protected static final double RAD_TO_DEG

See Also:
  Constant Field Values

### DEG_TO_RAD

    protected static final double DEG_TO_RAD

See Also:
  Constant Field Values

Constructor Detail

### JAffineTransformChooser

    public JAffineTransformChooser()

  Default constructor

Method Detail

### build

    protected void build()

  Adds the control components into this panel.

### buildRotatePanel

    protected java.awt.Component buildRotatePanel()

### buildPanel

    protected java.awt.Component buildPanel(java.lang.String panelName,
                                            java.lang.String tfALabel,
                                            javax.swing.text.Document tfAModel,
                                            java.lang.String tfBLabel,
                                            javax.swing.text.Document tfBModel,
                                            java.lang.String tfASuffix,
                                            java.lang.String tfBSuffix,
                                            boolean setBorder)

### setPanelBorder

    public void setPanelBorder(javax.swing.JComponent panel,
                               java.lang.String panelName)

### addToPanelAtRow

    protected void addToPanelAtRow(java.lang.String label,
                                   javax.swing.text.Document model,
                                   java.lang.String suffix,
                                   JGridBagPanel p,
                                   int row)

### getAffineTransform

    public java.awt.geom.AffineTransform getAffineTransform()

### setAffineTransform

    public void setAffineTransform(java.awt.geom.AffineTransform txf)

### showDialog

    public static java.awt.geom.AffineTransform showDialog(java.awt.Component cmp,
                                                           java.lang.String title)

  Displays the panel in a modal dialog box.

  Parameters:
    `cmp` - the dialog's parent component
    `title` - the dialog's title
  Returns:
    null if the dialog was cancelled. Otherwise, the value entered by the user.

### createDialog

    public static JAffineTransformChooser.Dialog createDialog(java.awt.Component cmp,
                                                              java.lang.String title)

  Creates a new modal dialog box that can be used to configure an `AffineTransform`

  Parameters:
    `cmp` - the dialog's parent component
    `title` - the dialog's title

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.